## Brainteaser
Описания пока нет :(

## Writeup
Можно заметить, что текст написан на естественном языке и содержит множество несвойственных натуральному языку символов – вроде [, < и проч.
Соберем все такие символы с помощью скрипта на Python'e:

```python
from string import ascii_letters, whitespace

with open('brainteaser.txt') as f:
    data = f.read()

unusual = ''

for symbol in data:
    if symbol not in ascii_letters + whitespace:
        unusual += symbol

print(unusual)
```

Получим следующий вывод:

```+[------->++<]>-.----------.-[--->+<]>--.+++[->+++<]>+.+[----->+<]>.-[->+++++<]>+.[--->++<]>--.+[--->+<]>.-[-->+<]>--.---[->++<]>-.+[-->+<]>+.++++.-----[->++<]>-.-[->++++++<]>.++[->++<]>.---.-[-->+<]>-.>--[-->+++<]>.```

Полученный текст очень похож на программу на языке Brainfuck. Скомпилируем ее в любом онлайн-компиляторе и получим флаг:

![compiler](screenshots/compiler.PNG)

P.S. Использованный текст в действительности представляет собой вступление к "Властелину колец", зашифрованное шифром Виженера с ключом FRODOBAGGINS.

## Flag
mctf{c@k3_15_4li3}

## Complexity
Medium
